# Get customerContacts
Retrieves the properties and relationships of a customer contact object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/customerContacts({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and a customerContact object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/customerContacts({id})
```
Response
Here's an example of the response.
```json
{
    "id": "CONT00123",
    "email": "john.smith@contoso.com",
    "firstName": "John",
    "lastName": "Smith",
    "professionalTitle": "Purchasing Manager",
    "customerId": "CUST1042",
    "customerName": "Contoso Ltd.",
    "primaryPhoneNumber": "+1 425-555-0174"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_customercontact
dynamics_customercontact_delete
PATCH customerContact<dynamics_customercontact_update>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customercontact_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customercontact_get/
